#HeaderSection {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    min-height: calc(100dvh - (2 * var(--BackgroundSectionsPadding)));
}

#HeaderSectionH1 {
    height: calc(85dvh - (2 * var(--BackgroundSectionsPadding)));
    width: 100%;
}

#HeaderSectionH1>svg {
    height: 60px;
    width: 60px;
}

#HeaderSectionH1>h1 {
    color: var(--Title_1);
    font-family: "Prata";
    font-size: 4em;
}

#HeaderSectionLogo {
    width: fit-content;
}

#HeaderSectionLogo>svg {
    display: flex;
    height: 90px;
    width: 90px;
}

#HeaderSectionH1>div:nth-of-type(2) {
    display: flex;
    flex-direction: row;
    gap: 2px;
    height: fit-content;
}

#HeaderSectionH1>div:nth-of-type(2)>p {
    color: var(--Text_1);
    font-family: "RobotoSerif";
    font-size: 1.3em;
    font-weight: 400;
}

#HeaderSectionH1>div:nth-of-type(2)>span {
    background-color: var(--Text_1);
    border-radius: 100px;
    height: 1.5em;
    width: 2px;
}

.TypewriterCursor {
    animation: TypewriterCursor 0.5s infinite;
}

@keyframes TypewriterCursor {
    50% {
        opacity: 0;
    }
}

#HeaderSectionButton {
    height: 15dvh;
    width: 100%;
}

#HeaderSectionButton>button {
    align-items: center;
    background-color: transparent;
    border: 2px solid var(--Text_1);
    border-radius: 100px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    height: 50px;
    justify-content: end;
    padding: 6px;
    width: 30px;
}

#HeaderSectionButton>button>p {
    opacity: 0;
    position: absolute;
    top: -1000%;
}

#HeaderSectionButton>button>div {
    animation: HeaderCursorBall 3s infinite;
    background-color: var(--Text_1);
    border-radius: 100px;
    display: block;
    height: 12px;
    width: 12px;
}

@keyframes HeaderCursorBall {
    0% {
        opacity: 0;
    }

    25% {
        margin-bottom: 0%;
        opacity: 1;
        transition: margin-bottom 0s;
    }

    70%, 80% {
        margin-bottom: 22px;
        opacity: 1;
        transition: margin-bottom 3s;
    }

    100% {
        margin-bottom: 22px;
        opacity: 0;
    }
}

#HeaderSectionPhrase {
    background-color: var(--Background_1);
    display: flex;
    flex-direction: row;
    height: 100px;
    padding: 2px 0px;
    position: relative;
}

#HeaderSectionPhrase>div:nth-of-type(1) {
    background: repeating-linear-gradient(-135deg,
                var(--Background_1) 0px,
                var(--Background_1) 5px,
                var(--Background_2) 1px,
                var(--Background_2) 10px);;
    height: 100%;
    width: 50%;
}

#HeaderSectionPhrase>div:nth-of-type(2) {
    background: repeating-linear-gradient(135deg,
                var(--Background_1) 0px,
                var(--Background_1) 5px,
                var(--Background_2) 1px,
                var(--Background_2) 10px);;
    height: 100%;
    width: 50%;
}

#HeaderSectionPhrase>p {
    background-color: var(--Background_1);
    border: 1px solid var(--Background_2);
    border-radius: 5px;
    color: var(--Text_1);
    font-family: "RobotoSerif_Italic";
    font-weight: 400;
    height: fit-content;
    letter-spacing: 0.3px;
    max-width: 80%;
    padding: 10px 20px;
    position: absolute;
    text-align: center;
}

#HeaderSectionPhrase>p:nth-of-type(1)::before {
    background-color: var(--Background_2);
    content: "";
    height: 10px;
    left: 0px;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 10px;
}

#HeaderSectionPhrase>p:nth-of-type(1)::after {
    background-color: var(--Background_2);
    content: "";
    height: 10px;
    position: absolute;
    right: 0px;
    top: 50%;
    transform: translate(50%, -50%) rotate(45deg);
    width: 10px;
}